Bug 10805 - Kickstart install segfaults
Summary: Kickstart install segfaults
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-13 22:48 UTC by weejock-rhbug
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-18 13:09:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart config (2.88 KB, text/plain)
2000-04-14 12:03 UTC, weejock-rhbug
no flags Details

Description weejock-rhbug 2000-04-13 22:48:41 UTC
Hi,

I'm trying to update our kickstart setup from the 6.0
installer to the new 6.2 stuff.  But the latter seems
rather fragile.

It will reproducibly segfault after "Performing post-
install configuration" if fed a ks.cfg with unresolved
package dependencies.

Nothing unusually vital seems to break - after rebooting
everything appears to work OK, but it demands someone
present to do a three-finger salute before the box comes
up, which is a pain.

If it matters, I'm currently testing on a laptop with
the updated pcmcia image, but not the installer update
disk.  (There didn't seem to be any relevant fixes, so
I didn't bother looking out another floppy.)

Cheers,
Matthew.

Comment 1 Jay Turner 2000-04-14 11:43:59 UTC
Please submit a copy of the ks.cfg file which you are using and I will be glad
to try and replicate this situation in the lab.

Comment 2 weejock-rhbug 2000-04-14 12:03:59 UTC
Created attachment 200 [details]
Kickstart config

Comment 3 weejock-rhbug 2000-04-14 12:06:59 UTC
The ks.cfg I am using is now attached.  If you uncomment the gnome-libs and
gnome-libs-devel lines, it works fine.

For now, I am running "rpm -Va" once the install is complete to find the broken
dependencies...

Comment 4 weejock-rhbug 2000-04-14 12:22:59 UTC
Aargh, it's not happening now.  I'll break some other dependencies and
try again later.

Sorry,
Matthew.

Comment 5 Jay Turner 2000-04-18 13:09:59 UTC
Please reopen this bug if you are able to replicate.


Note You need to log in before you can comment on or make changes to this bug.